#' A data frame of an acrylic degradation experiment
#'
#' The data set is a study of photodegradation of acrylic polymer. In this work, polymeric samples were exposed to different levels of light exposures and resulting optical changes were determined through optical spectroscopy. *IrradTot* (total applied irradiance) is the main exagenous variable and *YI* (yellowness index) is the endogenous variable (response). The other columns in the data set (*IAD1*, *IAD2*, *IAD2p*, and *IAD3*)  are induced absorbance to dose values extracted from optical absorbance spectra as single metrics and used as intermediate unit level endogenous (response) variables in the netSEM analysis.
#'
#' @docType data
#' @usage data(acrylic)
#' @format A 357 by 6 data frame of continuous variables
#' 
#' @source Solar Durability and Lifetime Extension (SDLE) Research Center, Case Western
#' Reserve University
#' 
"acrylic"
